Bug 139255 - wb8 ch1 online exercise and $RPMS
wb8 ch1 online exercise and $RPMS
Status: ON_QA
Product: Red Hat Academy
Classification: Retired
Component: RHA130 Curriculum (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bowe Strickland
Bowe Strickland
Depends On:
  Show dependency treegraph
Reported: 2004-11-14 09:52 EST by Tomasz Chilinski
Modified: 2008-05-01 11:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tomasz Chilinski 2004-11-14 09:52:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; pl-PL; rv:1.4.3)

Description of problem:
1. Actually: RPMS="ftp://rha-server/pub/es3/RedHat/RPMS"
   should be: RPMS="ftp://rha-server/pub/es3/RedHat/RPMS/" because of
curl problem.
2. Student appends to his ~/.bash_profile following lines:
   export RPMS

when /usr/share/rha/server/scripts/rha130-2.1/rpmrhn_rpmie.script is
executed as remote command (without interactive shell) .bash_profile
is not executed so RPMS environment value is not set! Thus there is no
chance to successful execution "curl $RPMS | grep redhat-release".
With interactive shell everything is ok.
Possible solution:
appending lines above to ~/.bashrc.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
as above

Additional info:
Comment 1 Brad Smith 2005-01-01 18:12:25 EST
Should be fixed in 2.2. The new text instructs the student to use
.bashrc (with the corrected url) and points out that while environment
variables are ususally set in .bash_profile, only .bashrc gets read
when commands are executed remotely via ssh, which is how the lab will
be graded. 
Comment 2 Bowe Strickland 2005-01-05 13:32:34 EST
this'll stand for now, but i want to find a more graceful fix...

Note You need to log in before you can comment on or make changes to this bug.